Loading...
Searching...
No Matches
caf::logger::line_builder Class Reference

Utility class for building user-defined log messages with CAF_ARG. More...

`#include <logger.hpp>`

## Public Member Functions

template<class T>
detail::enable_if_t<!std::is_pointer< T >::value, line_builder & > | operator<< (const T &x)
line_builder & | operator<< (const local_actor *self)
line_builder & | operator<< (const std::string &str)
line_builder & | operator<< (string_view str)
line_builder & | operator<< (const char *str)
line_builder & | operator<< (char x)
std::string | get () const

## Detailed Description

Utility class for building user-defined log messages with CAF_ARG.

The documentation for this class was generated from the following file:

- /build/actor-framework-Z9pIPl/actor-framework-0.17.6/libcaf_core/caf/logger.hpp